From: henriete smith <[email-masked]>
Date: Sat, 28 Nov 2020 10:10:35 +0100

-- 
Good day am  Henriette, i do pray that this letter meets you well, Though
we haven't met or seen each other before but i believe that nature has a
way of Bringing people together for a Particular Purpose. if you need a
female friend Contact me back